> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegister.com/llms.txt
> Use this file to discover all available pages before exploring further.

# IP sorgente più bloccati

> Restituisce i 3 IP sorgente più frequentemente bloccati (traffico in entrata) negli ultimi 7 giorni per l'istanza ATB specificata.



## OpenAPI

````yaml get /api/v1/atb/{atb_id}/most-blocked-ips
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.5
servers: []
security: []
paths:
  /api/v1/atb/{atb_id}/most-blocked-ips:
    get:
      tags:
        - atb
      summary: Most blocked source IPs
      description: >-
        Returns the top 3 source IPs most frequently blocked (inbound traffic)
        in the last 7 days for the specified ATB instance.
      operationId: atb_most_blocked_ips_retrieve
      parameters:
        - in: path
          name: atb_id
          schema:
            type: string
          description: ID of the Threat Blocker instance
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        ip:
                          type: string
                          format: ipv4
                        count:
                          type: integer
          description: ''
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - 9153
          description: ''
        '403':
          description: Forbidden – user lacks permission
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````